#include "vision.h"
#include <vector>
#include <iostream>
#include <algorithm>
using namespace std;

std::vector<int> getVisionPattern1d()
{

    vector <int> v;
    v.push_back(2);
    v.push_back(1);
    v.push_back(3);
    v.push_back(1);
    v.push_back(1);
    v.push_back(1);
    return v;
}

int getMove1d(std::vector<int> v)
{
    int n=(v.size())/2;
    if (n==1)
    {
        if (v[0]==3) return 0;
        if (v[2]==3) return 2;
        if (v[0]==2) return 0;
        if (v[2]==2) return 2;
        return 2;
    }
    if (n==2)
    {
        if (v[0]==3) return 0;
        return 4;
    }
    if (n==3)
    {
        if (v[1]==2) return 6;
        return 0;
    }
    return 0;
}

std::vector<std::vector<int>> getVisionPattern2d()
{
    return {{1}};
}

std::pair<int, int> getMove2d(std::vector<std::vector<int>> v)
{
    return {0, 0};
}




